In Progress When you going to fix old version game crash issue?

Users who are viewing this thread

Version number
e1.7.2
Branch
Beta
Modded/unmodded
No, I didn't use any mods.
Summary:
How to Reproduce:
Have you used cheats and if so which:
Scene Name (if related):
Media (Screenshots & Video):
Computer Specs:
OS:
GPU:
GPU Driver Version:
CPU:
RAM:
Motherboard:
Storage Device (HDD/SSD):




It's been 3 weeks since the old version game (1.7.1,1.7.2,1.7.0 and so on) crash issue started.
When will the bugfix update be released?
I also can't play e1.8.0 due to the freezing bug of Windows 7 users.
It's a bug that was already reported a few months ago, but you guys haven't fixed it yet.
And now, it's not possible to play the old version either.
Please DEV give me a clear answer.
 

Sciohan

Regular
M&BWB
If you're dead-set on 1.7.x you'll have to delete any instances of language_data.xml in the module folders left over after downversioning. The issue with assets getting stuck in a loop while loading sometimes for Win7/8 users is also present in 1.7.x to a far less severe degree though so you're better off using the workaround for it.

Just run Process Monitor in the background when you play. Limit the log under Options -> History Depth to its smallest (1 million) as an easy way to limit its memory usage, or alternatively go into the filter configuration and remove all filters then set Filter -> Drop Filtered Events to use even less. As long as its running in the background and File -> Capture Events is ticked, for whatever reason assets in Bannerlord start loading just fine.

If the latest version doesn't load properly, other users have had luck with older versions. The Internet Archive has a bunch of older versions available but Microsoft themselves don't appear to have public archives for it that I can find casually.
 

MArdA TaleWorlds

Community Support & Localization
Community Support
M&BWBWF&SNWVC
We are aware of this issue and currently investigating it. There is however a workaround that is known to be fixing this issue.
Fix for the update breaking older versions:
This is caused by the language_data.xml files added in the update. If you remove them from Modules/CustomBattle/ModuleData/Languages/XX, Modules/SandBox/ModuleData/Languages/XX, and Modules/StoryMode/ModuleData/XX, it will work again. (XX means all language folders present)I recommend using command prompt:
(Insert your game path if different)
cd "C:\Program Files (x86)\Steam\steamapps\common\Mount & Blade II Bannerlord\Modules"
Press Enter
del language_data.xml /a /s
Press Enter
Done
 
Top Bottom